import "whatwg-fetch";
import "fullscreen-api-polyfill";

import * as React from "react";
import * as ReactDOM from "react-dom";
import * as uuid from "uuid/v4";

import { App } from "./App";
import { GlobalStyle } from "./style/GlobalStyle";
import { HistoryProvider } from "src/hooks/useHistory";
import { createBrowserHistory } from "history";
import { observable } from "mobx";

(global as any).uuid = uuid;

const history = createBrowserHistory({ basename: process.env.PUBLIC_URL });
const observableHistory = observable(history);
const wrapper = document.getElementById("root");

history.listen(location1 => (observableHistory.location = location1));

ReactDOM.render(
	<>
		<GlobalStyle />

		<HistoryProvider history={observableHistory}>
			<App />
		</HistoryProvider>
	</>,
	wrapper
);
