import { observer } from "mobx-react-lite";
import * as React from "react";
import { useCourse } from "../../useCourse";
import { styles } from "./CourseClassDetail.styles";

export type CourseClassDetailProps = {
	className?: string;
};

export const CourseClassDetail = observer((props: CourseClassDetailProps) => {
	const { courseClass, course } = useCourse();

	return (
		<styles.Wrapper className={props.className}>
			{courseClass ? (
				<>
					<styles.CourseClassPlayer />
					<styles.CourseClassTitle>{courseClass.title}</styles.CourseClassTitle>

					<styles.VideoButtonsContainer>
						<styles.DownloadButton />
						<styles.ShareButton />
					</styles.VideoButtonsContainer>

					<styles.CreativeCommons />
				</>
			) : (
				course && <styles.CourseImage src={course.iconURL} />
			)}
		</styles.Wrapper>
	);
});
